package com.bigflix.BigFlixMovies;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.view.KeyEvent;
import android.view.Window;
import com.pokkt.videodemo.R;

public class SplashScreen extends Activity {

	boolean isClosed = false;

	Handler handler = new Handler();

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		super.onCreate(savedInstanceState);
		setContentView(R.layout.splash);
		redirectMenuScreen();

	}

	void redirectMenuScreen() {
		handler.postDelayed(new Runnable() {
			public void run() {
				if (!isClosed) {
					Intent intent = new Intent(getBaseContext(), Pokkt.class);
					intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
					startActivity(intent);
					finish();
				}
			}
		}, 1500);
	}

	@Override
	public boolean onKeyDown(int keyCode, KeyEvent event) {
		if (keyCode == KeyEvent.KEYCODE_BACK) {
			isClosed = true;
			finish();
		}
		return super.onKeyDown(keyCode, event);
	}

}
